Loading...
Searching...
No Matches
svn_prop_inherited_item_t Struct Reference
Properties management utilities

A structure to represent inherited properties. More...

`#include <svn_props.h>`

## Data Fields

const char * | path_or_url
| The absolute working copy path, relative filesystem path, or URL from which the properties in prop_hash are inherited.
apr_hash_t * | prop_hash
| A hash of (const char *) inherited property names, and (svn_string_t *) property values.

## Detailed Description

A structure to represent inherited properties.

Since
  New in 1.8.

Definition at line 92 of file svn_props.h.

## Field Documentation

## path_or_url

const char* svn_prop_inherited_item_t::path_or_url

The absolute working copy path, relative filesystem path, or URL from which the properties in prop_hash are inherited.

(For details about which path specification format is in use for a particular instance of this structure, consult the documentation for the API which produced it.)

Definition at line 99 of file svn_props.h.

## prop_hash

apr_hash_t* svn_prop_inherited_item_t::prop_hash

A hash of (const char *) inherited property names, and (svn_string_t *) property values.

Definition at line 103 of file svn_props.h.

The documentation for this struct was generated from the following file:

- svn_props.h